: Class SingleSelectionManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.widgets
Class SingleSelectionManager

    java.lang.Object
      |
      +--grendel.widgets.SingleSelectionManager

public class SingleSelectionManager
extends java.lang.Object
implements SelectionManager

Constructor Summary
`SingleSelectionManager()`

Method Summary
`void` | `addSelection(java.util.Enumeration aObjects)`
`void` | `addSelection(java.lang.Object aObject)` Adds a single object to the selection.
`void` | `addSelectionListener(SelectionListener aListener)` Adds a selection listener
`void` | `clearSelection()` Removes all objects from the selection
`void` | `contextClickSelection(java.awt.event.MouseEvent aEvent)` Passed on to listeners
`void` | `doubleClickSelection(java.awt.event.MouseEvent aEvent)` Passed on to listeners
`void` | `dragSelection(java.awt.event.MouseEvent aEvent)` Passed on to listeners
`java.util.Enumeration` | `getSelection()` Returns an enumeration of all objects in the selection
`int` | `getSelectionCount()` Returns the number of objects in the selection
`boolean` | `isSelected(java.lang.Object aObject)` Returns true if the object is in the selection.
`void` | `removeSelection(java.util.Enumeration aObjects)`
`void` | `removeSelection(java.lang.Object aObject)` Removes a single object from the selection.
`void` | `removeSelectionListener(SelectionListener aListener)` Removes a selection listener
`void` | `setSelection(java.util.Enumeration aObjects)`
`void` | `setSelection(java.lang.Object aObject)` Sets the selection to be a single object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleSelectionManager

    public SingleSelectionManager()

Method Detail

### clearSelection

    public void clearSelection()

  Removes all objects from the selection
  Specified by:
    clearSelection in interface SelectionManager

### setSelection

    public void setSelection(java.lang.Object aObject)

  Sets the selection to be a single object
  Specified by:
    setSelection in interface SelectionManager

### setSelection

    public void setSelection(java.util.Enumeration aObjects)

  Specified by:
    setSelection in interface SelectionManager

### addSelection

    public void addSelection(java.lang.Object aObject)

  Adds a single object to the selection. Overwrites previous selection if a selection already exists. Notifies listeners if the selection changes.
  Specified by:
    addSelection in interface SelectionManager

### addSelection

    public void addSelection(java.util.Enumeration aObjects)

  Specified by:
    addSelection in interface SelectionManager

### removeSelection

    public void removeSelection(java.lang.Object aObject)

  Removes a single object from the selection. Notifies listeners if the selection changes.
  Specified by:
    removeSelection in interface SelectionManager

### removeSelection

    public void removeSelection(java.util.Enumeration aObjects)

  Specified by:
    removeSelection in interface SelectionManager

### isSelected

    public boolean isSelected(java.lang.Object aObject)

  Returns true if the object is in the selection.
  Specified by:
    isSelected in interface SelectionManager

### getSelectionCount

    public int getSelectionCount()

  Returns the number of objects in the selection
  Specified by:
    getSelectionCount in interface SelectionManager

### getSelection

    public java.util.Enumeration getSelection()

  Returns an enumeration of all objects in the selection
  Specified by:
    getSelection in interface SelectionManager

### doubleClickSelection

    public void doubleClickSelection(java.awt.event.MouseEvent aEvent)

  Passed on to listeners
  Specified by:
    doubleClickSelection in interface SelectionManager

### contextClickSelection

    public void contextClickSelection(java.awt.event.MouseEvent aEvent)

  Passed on to listeners
  Specified by:
    contextClickSelection in interface SelectionManager

### dragSelection

    public void dragSelection(java.awt.event.MouseEvent aEvent)

  Passed on to listeners
  Specified by:
    dragSelection in interface SelectionManager

### addSelectionListener

    public void addSelectionListener(SelectionListener aListener)

  Adds a selection listener
  Specified by:
    addSelectionListener in interface SelectionManager

### removeSelectionListener

    public void removeSelectionListener(SelectionListener aListener)

  Removes a selection listener
  Specified by:
    removeSelectionListener in interface SelectionManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD